Page MenuHomePhabricator

Port GettingStarted Selenium tests from Ruby to Node.js
Closed, ResolvedPublic

Description

TODO

🏝 443096 (mediawiki/extensions/GettingStarted): WIP The first sample Selenium test in Node.js

Details

Related Gerrit Patches:
mediawiki/extensions/GettingStarted : masterDelete Ruby Selenium tests
integration/config : masterDo not run Ruby and/or Selenium jobs for GettingStarted
mediawiki/extensions/GettingStarted : masterWIP The first sample Selenium test in Node.js

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 1:05 PM

@Mattflaschen-WMF @phuedx let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

I talked to @zeljkofilipin - there is no urgency on the ticket; it's up to @Mattflaschen-WMF to decide how & when the issue will be done.

@Etonkovidova @SBisson @Mooeypoo @Catrope I would like to make an exception and migrate this one, since it is actively monitored by @phuedx and I, and the test has caught a serious outage in the account creation workflow (though the response to that should have been better).

There is only one test, though it has some unusual behavior (to bypass the CAPTCHA).

It has gotten flakier lately, but I think that is due to Beta instability, not any issue with GettingStarted or the test.

zeljkofilipin triaged this task as Low priority.Jun 29 2018, 3:04 PM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

Change 443096 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GettingStarted@master] WIP The first sample Selenium test in Node.js

https://gerrit.wikimedia.org/r/443096

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 30 2018, 1:28 PM

Change 443096 abandoned by Zfilipin:
WIP The first sample Selenium test in Node.js

Reason:
No activity in months.

https://gerrit.wikimedia.org/r/443096

The browser tests have been failing for some time with the following error:

Gem::InstallError: watir requires Ruby version >= 2.3.0

The browser tests have been failing for over three weeks now. Unfortunately, I don't have much free time to port them right now. Unless someone does, then we should disable them /cc @zeljkofilipin

zeljkofilipin added a comment.EditedNov 27 2018, 4:40 PM

Sorry, I have missed this. Should I delete the failing job?

@zeljkofilipin: Until someone (including me!) can get the time to fix 'em, I think it'd be best to disable them. That's the Standard Operating Procedure, right?

Change 522064 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

Change 522066 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Jul 11 2019, 8:20 PM
JTannerWMF added a subscriber: JTannerWMF.

Looks like @zeljkofilipin and Release-Engineering-Team-TODO is working on this, moving this to external for Growth.

@JTannerWMF "working" on it by deleting Ruby Selenium tests and Jenkins jobs that run them. :)

I'm acutally done with that, but I'm hesitant to delete jobs and tests from the GettingStarted repository until somebody from the Growth team at least gives a +1 to the related commits:

https://gerrit.wikimedia.org/r/q/bug:T180224

Change 522064 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

Change 522066 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

zeljkofilipin closed this task as Resolved.Jul 12 2019, 3:21 PM